Page MenuHomePhabricator

Add a custom function wikibase:isSomeValue to identify wikibase "somevalue"
Closed, ResolvedPublic

Description

In order to allow a "smooth" transition from blank nodes to IRI placeholders this function will be added to the set of custom functions offered by the query service.
A new option will be added read at blazegraph startup to instruct this function to behave like:

  • isBlank()
  • or STRSTARTS( STR(?o), '<prefix identifier>' )

See T245541 for information on how to identify such values

Event Timeline

dcausse created this task.Feb 18 2020, 4:34 PM
dcausse updated the task description. (Show Details)Feb 18 2020, 5:50 PM
dcausse renamed this task from Add a custom wikibase:isSomeValue() function to Add a custom function to identify wikibase "somevalue".Feb 19 2020, 8:15 AM
dcausse updated the task description. (Show Details)
dcausse updated the task description. (Show Details)
dcausse added a subscriber: Lucas_Werkmeister_WMDE.

Outcome of T246238: Investigate common qualifiers for “unknown value” statement main snaks: the function should use “some value” terminology, rather than “unknown value”.

dcausse claimed this task.Mar 11 2020, 12:43 PM
dcausse triaged this task as Medium priority.

Change 579912 had a related patch set uploaded (by DCausse; owner: DCausse):
[wikidata/query/rdf@master] Add wikibase:isSomevalue

https://gerrit.wikimedia.org/r/579912

Change 580104 had a related patch set uploaded (by DCausse; owner: DCausse):
[wikidata/query/rdf@master] Add a URIPrefixBOp function usable as an alternative to isBlank for wikibase:isSomevalue

https://gerrit.wikimedia.org/r/580104

Side note, I know I said this in the other task –

(Also, the snak type is somevalue as one word, so to me isSomevalue would make more sense than isSomeValue.)

– but now that I see isSomevalue in the changes above, I’m beginning to second-guess myself there. It looks a bit weird, and perhaps more importantly, people who remember “the function is named ‘is some value’ or something like that” are much more likely to try isSomeValue rather than isSomevalue. And also, we do treat “some value” as two words in parts of Wikibase, such as in the PropertySomeValueSnak class name.

I won’t say it has to be either capitalization, but I’m retracting my earlier statement that isSomevalue would make more sense (sorry), and leaving the rest up to y’all.

Side note, I know I said this in the other task –

(Also, the snak type is somevalue as one word, so to me isSomevalue would make more sense than isSomeValue.)

– but now that I see isSomevalue in the changes above, I’m beginning to second-guess myself there. It looks a bit weird, and perhaps more importantly, people who remember “the function is named ‘is some value’ or something like that” are much more likely to try isSomeValue rather than isSomevalue. And also, we do treat “some value” as two words in parts of Wikibase, such as in the PropertySomeValueSnak class name.

Makes sense, I'll trust your judgement here :)
I've updated the changes accordingly

dcausse renamed this task from Add a custom function to identify wikibase "somevalue" to Add a custom function wikibase:isSomeValue to identify wikibase "somevalue".Mar 17 2020, 9:09 AM
dcausse updated the task description. (Show Details)

Change 579912 merged by jenkins-bot:
[wikidata/query/rdf@master] Add wikibase:isSomeValue

https://gerrit.wikimedia.org/r/579912

Change 580104 merged by jenkins-bot:
[wikidata/query/rdf@master] Add a URIPrefixBOp function usable as an alternative to isBlank for wikibase:isSomeValue

https://gerrit.wikimedia.org/r/580104

Gehel closed this task as Resolved.Jul 13 2020, 12:54 PM